#include <iostream>
#include <cmath>
#include <vector>
#include <map>
#include <set>
#include <queue>
#include <sstream>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <string>
#include <algorithm>

using namespace std;

typedef long long int ll;
typedef unsigned long long int ull;

#define PB push_back
#define MP make_pair

#define FOR(prom, a, b) for(int prom = (a); prom < (b); prom++)
#define FORD(prom, a, b) for(int prom = (a); prom > (b); prom--)
#define FORDE(prom, a, b) for(int prom = (a); prom >= (b); prom--)

#define MM(co, cim) memset((co), (cim), sizeof((co)))
#define DEB(x) cerr << ">>> " << #x << " : " << x << endl;

#define MAXBIN 1001000

int len;
char bin [ MAXBIN ];

int rinx ( int i )
	{ return len - i - 1; }

int main ( void )
{
	while ( scanf( "%s", bin + 1 ) == 1 ) {
		bin[ 0 ] = '0';
		len = strlen( bin );		

		for ( int l = ( len % 2 == 0 ? 1 : 0 ); l <= len; l += 2 ) {
			bin[ rinx( l ) ] = ( bin[ rinx( l ) ] == '0' ? '1' : '0' );
		}
		
		int carry = 1;
		for ( int l = 0; l <= len; l++ ) {
			if ( bin[ rinx( l ) ] == '1' && carry ) {
				bin[ rinx( l ) ] = '0';
			} else if ( carry ) {
				bin[ rinx( l ) ] = '1';
				carry = 0;
				break;
			}
		}
		
		for ( int l = ( len % 2 == 0 ? 1 : 0 ); l <= len; l += 2 ) {
			bin[ rinx( l ) ] = ( bin[ rinx( l ) ] == '0' ? '1' : '0' );
		}
		
		int trans = 0;
		while ( bin[ trans ] == '0' ) {
			trans++;
		}

		if ( trans == len ) {
			printf("0\n");
		} else {
			printf( "%s\n", bin + trans );
		}
	}
	
	return 0;
}
